class RemoveSystemPurposeAddons < ActiveRecord::Migration[6.1]
  def up
    remove_foreign_key :katello_subscription_facet_purpose_addons, :katello_purpose_addons, column: :purpose_addon_id

    drop_table :katello_activation_key_purpose_addons
    drop_table :katello_purpose_addons
    drop_table :katello_subscription_facet_purpose_addons
  end

  def down
    create_table :katello_activation_key_purpose_addons do |t|
      t.bigserial :id, primary_key: true
      t.int8 :purpose_addon_id
      t.int8 :activation_key_id

      t.timestamps
    end

    create_table :katello_purpose_addons do |t|
      t.bigserial :id, primary_key: true
      t.varchar :name

      t.timestamps
    end

    create_table :katello_subscription_facet_purpose_addons do |t|
      t.bigserial :id
      t.int8 :purpose_addon_id
      t.int8 :subscription_facet_id
      t.references :purpose_addon, foreign_key: { to_table: :katello_purpose_addons }

      t.timestamps
    end
  end
end
